import React, { useEffect } from 'react';
import { IconButton, Paper } from '@material-ui/core';
import { DeploymentDetails } from "../../components/deployments/DeploymentDetails";
import ArrowBackIcon from '@material-ui/icons/ArrowBack';
import { useHistory } from "react-router-dom";
import { useGlobalAppBar } from '../../components/navigation/GlobalAppBar/GlobalAppBar';

export function DeploymentDetailsView({ deployment, getDeployment }) {
  const history = useHistory();
  
  console.log(deployment);

  const handleClick = () => {
    history.goBack();
  };

  const { setTitle } = useGlobalAppBar("Deployment Details");

  useEffect(() => {
    deployment && setTitle("Deployment Details: " + deployment.namingName )
  }, [deployment, setTitle]);

  return (
    <Paper>
      <IconButton color="inherit" onClick={handleClick}>
          <ArrowBackIcon />
      </IconButton>
      {deployment && <DeploymentDetails deployment={deployment} getDeployment={getDeployment} onDeploymentStart={()=>{}} startButtonDisabled={true} />}
    </Paper>
  );
}
